{
    attributes = (
        {
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "DOMAINE_SCIENT_ORDRE"; 
            externalType = NUMBER; 
            name = domaineScientifiqueOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRINCIPAL; 
            externalType = NUMBER; 
            name = principal; 
            valueClassName = NSNumber; 
            valueType = c; 
        }, 
        {
            allowsNull = N; 
            columnName = "RURDS_ID"; 
            externalType = NUMBER; 
            name = rurdsId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (rurdsId); 
    className = "org.cocktail.fwkcktlrecherche.server.metier.EORepartStructureRechercheDomaineScientifique"; 
    classProperties = (
        dCreation, 
        dModification, 
        domaineScientifique, 
        persIdCreation, 
        persIdModification, 
        principal, 
        rurdsId, 
        uniteRecherche
    ); 
    externalName = "RECHERCHE.REPART_UNIT_RECH_DOM_SC"; 
    fetchSpecificationDictionary = {}; 
    name = RepartStructureRechercheDomaineScientifique; 
    primaryKeyAttributes = (rurdsId); 
    relationships = (
        {
            destination = "Fwkpers_DomaineScientifique"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = dsOrdre; sourceAttribute = domaineScientifiqueOrdre; }
            ); 
            name = domaineScientifique; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = uniteRecherche; 
        }
    ); 
}
